$kind: http-request
url: "{{sahara_local}}sales/orders/b8825bda-fe60-44cb-9bf1-dc6815c6994e"
method: PUT
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: " {\r

    \    \"order_type\": \"item\", //service,item,custom\r

    \  //\"quote_id\": \"26aa7bc4-ca4d-4dbf-a8f6-9fb6560319e0\",\r

    \  \"customer_id\":\"f92628ca-bbd3-4f1e-81a8-c49b3d693539\",//If there is no
    quote selected, they must select a customer, show this when no quote
    selected\r

    \r

    \  \"order_date\": \"2024-01-16\",\r

    \  \"expected_delivery_date\": \"2024-01-25\",\r

    \  \"special_instructions\": \"Please ensure quality packaging\",\r

    \  \"lines\": [\r

    \    {\r

    \     // \"quote_line_id\": \"d43cc988-1ca7-47d4-8711-ff6665f6ee3f\",
    //Needed if quote is selected above and then no need to show the name of
    item\r

    \      //\"name\":\"Item one\", //When they select order type custom they
    must provide a name in the items\r

    \    \"item_id\":\"87ce2720-1c50-4936-8ef7-d3d4129ddb6b\", //When order type
    is item and quote not selected ensure they select the item_id\r

    \      \"uom_id\":\"07f23704-67ec-4277-8205-018edecc26e9\", //This must be
    provided for order type Item\r

    \      \"qty_ordered\": 5000,\r

    \      \"unit_price\": 2.50,\r

    \      \"discount_pct\": 5,\r

    \      \"tax_pct\": 0\r

    \    }\r

    \  ]\r

    }"
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 4000
